org.licas.service

## Class DataServiceInitialise

- java.lang.Object
- - org.licas.ServiceInitialise
  - - org.licas.service.DataServiceInitialise

- All Implemented Interfaces:
    ServiceInitialiseDef

      public class DataServiceInitialise
      extends ServiceInitialise

  This class performs some additional or final initialisations, after a `DataService` service has been properly loaded and registered. If it has been created with an admin document for example, the metadata might describe some additional operations that should be carried out, such as loading in some default utility services.
  Author:
    Kieran Greer

- - ### Field Summary

    - ### Fields inherited from class org.licas.ServiceInitialise

      `parentService, passwordHandler, serviceAdmin`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataServiceInitialise(Service theParentService, ServiceAdmin theServiceAdmin, PasswordHandler thePasswordHandler)` Create a new instance of DataServiceInitialise.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finaliseInitialisation(org.licas_xml.abs.Element servicesXml)` Finalise the initialisation of the service.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataServiceInitialise

          public DataServiceInitialise(Service theParentService,
                                       ServiceAdmin theServiceAdmin,
                                       PasswordHandler thePasswordHandler)

      Create a new instance of DataServiceInitialise.
      Parameters:
        `theParentService` - the parent service.
        `theServiceAdmin` - the parent service's admin handler.
        `thePasswordHandler` - the parent service's password handler.

  - ### Method Detail

    - #### finaliseInitialisation

          public void finaliseInitialisation(org.licas_xml.abs.Element servicesXml)
                                      throws java.lang.Exception

      Finalise the initialisation of the service. If an admin document is passed, this default implementation retrieves the XML description of services to load and tries to create and load them as child services of this one.
      Specified by:
        `finaliseInitialisation` in interface `ServiceInitialiseDef`
      Overrides:
        `finaliseInitialisation` in class `ServiceInitialise`
      Parameters:
        `servicesXml` - services to load XML section.
      Throws:
        `java.lang.Exception` - any error.